<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>com.xunhong</groupId>
		<artifactId>ERPTurbo</artifactId>
		<version>1.0.0-SNAPSHOT</version>
	</parent>

	<groupId>com.xunhong</groupId>
	<artifactId>erp-turbo-schedule</artifactId>
	<version>1.0.0-SNAPSHOT</version>

	<properties>
		<application.name>erp-turbo-schedule</application.name>
		<maven.compiler.source>21</maven.compiler.source>
		<maven.compiler.target>21</maven.compiler.target>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-base</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-config</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-file</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-api</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-rpc</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-web</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-sa-token</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-apm</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-logback</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-quartz</artifactId>
		</dependency>

		<!--  TEST  -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>
		<!--        h2内存数据库-->

		<dependency>
			<groupId>com.h2database</groupId>
			<artifactId>h2</artifactId>
			<version>1.4.200</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-mate-annotation</artifactId>
			<version>1.3.4</version>
		</dependency>


	</dependencies>

	<build>
		<finalName>${application.name}</finalName>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<includeSystemScope>true</includeSystemScope>
					<mainClass>
						com.xunhong.erp.turbo.schedule.ErpTurboScheduleApplication
					</mainClass>
					<layers>
						<enabled>true</enabled>
						<configuration>
							../layers/layers.xml
						</configuration>
					</layers>
				</configuration>

				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
				</executions>
			</plugin>

		</plugins>
	</build>

</project>
